#!/bin/bash

{
if systemd-detect-virt --quiet; then
    EFI_PART=$(findmnt -no SOURCE /boot/efi)
	if ! echo "$EFI_PART" | grep -q -E '^/dev/'; then
		exit 0
	fi

	. /etc/os-release
	BOOT_LABEL="UEFI Shell"

	if echo "$ID" | grep -qi "sles"; then
		DIR_NAME="sles"
		EFI_PATH="\\EFI\\sles\\Shell.efi"
	elif echo "$ID" | grep -qi "opensuse"; then
		DIR_NAME="opensuse"
		EFI_PATH="\\EFI\\opensuse\\Shell.efi"
	else
		exit 0
	fi

	BOOTNUM=$(efibootmgr | awk -v L="$BOOT_LABEL" -v D="$DIR" '$0 ~ L && $0 ~ D {sub(/^Boot/, "", $1); sub(/\*/, "", $1); print $1}' | head -n1)

	if [ -n "$BOOTNUM" ]; then
		efibootmgr -b "$BOOTNUM" -B
		rm -f "/boot/efi/EFI/$DIR_NAME/Shell.efi"
	fi

fi
} &> /dev/null